# $Revision: 1.18 $, $Date: 2004/11/02 11:12:04 $
#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Apache
%define	pnam	ConfigParser
Summary:	Apache::ConfigParser - load Apache configuration files
Summary(pl):	Apache::ConfigParser - wczytywanie plikw konfiguracyjnych Apache'a
Name:		perl-Apache-ConfigParser
Version:	0.06
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3726cb960475e9153deef2ad6e203c3f
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests} 
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-Tree-DAG_Node
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Apache::ConfigParser module is used to load an Apache
configuration file to allow programs to determine Apache's
configuration directives and contexts. The resulting object contains a
tree based structure using the Apache::ConfigParser::Directive class,
which is a subclass of Tree::DAG_node, so all of the methods that
enable tree based searches and modifications from Tree::DAG_Node are
also available. The tree structure is used to represent the ability to
nest sections, such as <VirtualHost>, <Directory>, etc.

%description -l pl
Modu Apache::ConfigParser suy do odczytywania pliku
konfiguracyjnego Apache'a, pozwalajc programom na okrelenie dyrektyw
konfiguracyjnych i ich kontekstu. Wynikowy obiekt zawiera struktur
drzewiast uywajc klasy Apache::ConfigParser::Directive, ktra jest
podklas Tree::DAG_Node, wic dostpne s take wszystkie metody z
Tree::DAG_Node, pozwalajce na przeszukiwanie drzewa i modyfikowanie.
Struktura drzewiasta jest uywana do reprezentowania moliwoci
zagniedania sekcji takich jak <VirtualHost>, <Directory> itp.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# get rid of pod docuementation
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/Apache/ConfigParser/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{perl_vendorlib}/%{pdir}/%{pnam}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Apache-ConfigParser.spec,v $
Revision 1.18  2004/11/02 11:12:04  adamg
- get rid of pod documentation
- release 4

Revision 1.17  2004/05/07 01:09:15  ankry
- rel. 3

Revision 1.16  2004/05/06 18:09:13  ankry
- fixed perl-devel BR

Revision 1.15  2004/04/25 06:25:03  ankry
- cosmetics: unification

Revision 1.14  2004/04/17 05:46:22  ankry
- license fixes

Revision 1.13  2004/04/14 11:21:49  ankry
- caps and other cosmetics

Revision 1.12  2004/03/09 20:02:01  adamg
- new style bconds

Revision 1.11  2003/09/09 10:24:25  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:08:26  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:00:20  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 17:41:59  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:35:48  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:25:44  ankry
- massive attack: change CPAN URLs

Revision 1.3  2003/02/05 16:16:52  ankry
- autoupdated to 0.06

Revision 1.2  2002/08/27 21:15:50  qboosh
- pl description

Revision 1.1  2002/08/27 10:31:31  radek
- new, STBR
